Get script
Server:
https://{kibana_url}
- GET /api/endpoint/scripts_library/{script_id}
- GET /s/{space_id}/api/endpoint/scripts_library/{script_id}
Refer to Spaces for more information.
Get a script
Path Parameters
-
script_idstringrequired -
The ID of the script entry.
Response
Get script response
-
data -
createdAtstring -
createdBystring -
descriptionstring -
Description of the script and its purpose/functionality
-
downloadUristring -
URI to download the script file. Note that this is the relative path and does not include the space (if applicable)
-
examplestring -
fileHashstring -
SHA256 hash of the script file that was uploaded
-
fileNamestring -
Name of the script file that was uploaded
-
fileSizeinteger -
Size of the script file that was uploaded in bytes
-
idstring -
instructionsstring -
Instructions for using the script, including details around its supported input arguments
-
namestring -
pathToExecutablestring -
The relative path to the file included in the archive that should be executed once its contents are extracted. Applicable only for scripts uploaded as an archive (.zip file for example).
-
platform -
Values:
linuxmacoswindows -
requiresInputboolean -
Tags that categorize the script
-
Values:
remediationActiondataCollectionnetworkDiagnosticsnetworkActionsystemInventoryforensicCollectionthreatHuntingdiscoverysystemManagementuserManagementtroubleshooting -
updatedAtstring -
updatedBystring -
versionstring